모든 노드 검색
curl --request GET \
--url https://api.comfy.org/publishers/{publisherId}/nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"author": "<string>",
"banner_url": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"downloads": 123,
"github_stars": 123,
"icon": "<string>",
"id": "<string>",
"latest_version": {
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
},
"license": "<string>",
"name": "<string>",
"preempted_comfy_node_names": [
"<string>"
],
"publisher": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
},
"rating": 123,
"repository": "<string>",
"search_ranking": 123,
"status_detail": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"translations": {}
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Registry
모든 노드 검색
GET
/
publishers
/
{publisherId}
/
nodes
모든 노드 검색
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
쿼리 매개변수
페이지당 반환할 노드 수
응답
모든 노드 목록
노드 배너의 URL.
지원 중단됨: 노드의 카테고리. 대신 'tags' 필드를 사용하세요. 이 필드는 향후 버전에서 제거될 예정입니다.
노드가 생성된 날짜와 시간
노드의 다운로드 횟수.
GitHub 저장소의 별표 수.
노드 아이콘의 URL.
노드의 고유 식별자.
Show child attributes
Show child attributes
노드 저장소의 LICENSE 파일 경로.
노드의 표시 이름.
이 노드에 의해 선점된 Comfy 노드 이름 목록.
Show child attributes
Show child attributes
노드의 평균 평점.
노드 저장소의 URL.
노드의 검색 순위를 나타내는 숫자 값으로, 검색 결과 정렬에 사용됩니다.
사용 가능한 옵션:
NodeStatusActive, NodeStatusDeleted, NodeStatusBanned 노드의 상태 세부 정보.
이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)
지원되는 ComfyUI 프론트엔드 버전
지원되는 ComfyUI 버전
이 노드가 지원하는 운영 체제 목록
보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
다른 언어로 된 노드 메타데이터의 번역.
Show child attributes
Show child attributes
⌘I